summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-28 07:46:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-28 07:46:56 +0000
commit8337eb1a966a9c83cfb9ae3f45e76fef19e1e15a (patch)
tree675c4bb4eb2494f07c2697a0f1e3f20892987ffd /dev-python
parent7cbe64b5c7bca7073d7458a3c7a8317f62068e7e (diff)
downloadbaldeagleos-repo-8337eb1a966a9c83cfb9ae3f45e76fef19e1e15a.tar.gz
baldeagleos-repo-8337eb1a966a9c83cfb9ae3f45e76fef19e1e15a.tar.xz
baldeagleos-repo-8337eb1a966a9c83cfb9ae3f45e76fef19e1e15a.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/QtPy/QtPy-2.2.0.ebuild10
-rw-r--r--dev-python/boto3/boto3-1.24.74.ebuild2
-rw-r--r--dev-python/botocore/botocore-1.27.74.ebuild2
-rw-r--r--dev-python/canonicaljson/metadata.xml1
-rw-r--r--dev-python/fakeredis/Manifest1
-rw-r--r--dev-python/fakeredis/fakeredis-1.9.2.ebuild88
-rw-r--r--dev-python/fitsio/Manifest1
-rw-r--r--dev-python/fitsio/fitsio-1.1.8.ebuild37
-rw-r--r--dev-python/frozendict/Manifest1
-rw-r--r--dev-python/frozendict/frozendict-2.3.2.ebuild29
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.63.0.ebuild53
-rw-r--r--dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild5
-rw-r--r--dev-python/iminuit/Manifest1
-rw-r--r--dev-python/iminuit/iminuit-2.17.0.ebuild42
-rw-r--r--dev-python/jc/Manifest1
-rw-r--r--dev-python/jc/jc-1.22.0.ebuild31
-rw-r--r--dev-python/matplotlib/matplotlib-3.6.0-r1.ebuild (renamed from dev-python/matplotlib/matplotlib-3.6.0.ebuild)2
-rw-r--r--dev-python/matrix-common/metadata.xml1
-rw-r--r--dev-python/mdit-py-plugins/Manifest1
-rw-r--r--dev-python/mdit-py-plugins/mdit-py-plugins-0.3.1.ebuild34
-rw-r--r--dev-python/mkdocs/Manifest1
-rw-r--r--dev-python/mkdocs/mkdocs-1.4.0.ebuild80
-rw-r--r--dev-python/myst_parser/Manifest1
-rw-r--r--dev-python/myst_parser/myst_parser-0.18.1.ebuild61
-rw-r--r--dev-python/oct2py/Manifest1
-rw-r--r--dev-python/oct2py/oct2py-5.5.1.ebuild52
-rw-r--r--dev-python/pymacaroons/metadata.xml1
-rw-r--r--dev-python/pyside2-tools/Manifest1
-rw-r--r--dev-python/pyside2-tools/pyside2-tools-5.15.6.ebuild77
-rw-r--r--dev-python/pyside2/Manifest1
-rw-r--r--dev-python/pyside2/pyside2-5.15.6.ebuild224
-rw-r--r--dev-python/pyside6-tools/Manifest2
-rw-r--r--dev-python/pyside6-tools/pyside6-tools-6.3.2.ebuild (renamed from dev-python/pyside6-tools/pyside6-tools-6.3.1.ebuild)0
-rw-r--r--dev-python/pyside6/Manifest2
-rw-r--r--dev-python/pyside6/pyside6-6.3.2.ebuild (renamed from dev-python/pyside6/pyside6-6.3.1-r1.ebuild)4
-rw-r--r--dev-python/python-systemd/Manifest1
-rw-r--r--dev-python/python-systemd/python-systemd-235.ebuild35
-rw-r--r--dev-python/rstcheck/rstcheck-3.3.1.ebuild2
-rw-r--r--dev-python/shiboken2/Manifest1
-rw-r--r--dev-python/shiboken2/files/shiboken2-5.15.6-fix-pyside2-compile.patch11
-rw-r--r--dev-python/shiboken2/shiboken2-5.15.6.ebuild173
-rw-r--r--dev-python/shiboken6/Manifest2
-rw-r--r--dev-python/shiboken6/shiboken6-6.3.2.ebuild (renamed from dev-python/shiboken6/shiboken6-6.3.1.ebuild)2
-rw-r--r--dev-python/signedjson/metadata.xml1
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest1
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.4.ebuild44
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-5.2.2.ebuild125
-rw-r--r--dev-python/stack_data/Manifest1
-rw-r--r--dev-python/stack_data/metadata.xml1
-rw-r--r--dev-python/stack_data/stack_data-0.4.0.ebuild32
-rw-r--r--dev-python/stack_data/stack_data-0.5.0.ebuild2
-rw-r--r--dev-python/unpaddedbase64/metadata.xml1
-rw-r--r--dev-python/yamlpath/Manifest1
-rw-r--r--dev-python/yamlpath/yamlpath-3.6.7.ebuild50
56 files changed, 1256 insertions, 83 deletions
diff --git a/dev-python/QtPy/QtPy-2.2.0.ebuild b/dev-python/QtPy/QtPy-2.2.0.ebuild
index 70680677985c..d7e4c6e3d5cf 100644
--- a/dev-python/QtPy/QtPy-2.2.0.ebuild
+++ b/dev-python/QtPy/QtPy-2.2.0.ebuild
@@ -27,11 +27,7 @@ _IUSE_QT_MODULES="
IUSE="+pyqt5 pyqt6 pyside2 pyside6 ${_IUSE_QT_MODULES}"
unset _IUSE_QT_MODULES
-# PySide6 is not yet ready for python3_11
-REQUIRED_USE="
- || ( pyqt5 pyqt6 pyside2 pyside6 )
- pyside6? ( !python_targets_python3_11 )
-"
+REQUIRED_USE="|| ( pyqt5 pyqt6 pyside2 pyside6 )"
# These flags are currently *not* common to the PySide2/6 and PyQt5/6 ebuilds
# Disable them for now, please check periodically if this is still up to date.
@@ -95,7 +91,6 @@ RDEPEND="
dev-python/pyside2[sql?,svg?,testlib?,webchannel?,webengine?,websockets?]
dev-python/pyside2[widgets?,xml?]
)
- !python_targets_python3_11? (
pyside6? (
dev-python/pyside6[${PYTHON_USEDEP}]
dev-python/pyside6[designer?,gui?,help?,multimedia?,network?,opengl?]
@@ -103,7 +98,6 @@ RDEPEND="
dev-python/pyside6[sql?,svg?,testlib?,webchannel?,webengine?,websockets?]
dev-python/pyside6[widgets?,xml?]
)
- )
"
# The QtPy testsuite skips tests for bindings that are not installed, so here we
@@ -136,7 +130,6 @@ BDEPEND="
dev-python/pyside2[webchannel,webengine,websockets,widgets,x11extras]
dev-python/pyside2[xml,xmlpatterns]
)
- !python_targets_python3_11? (
pyside6? (
dev-python/pyside6[${PYTHON_USEDEP}]
dev-python/pyside6[concurrent,dbus,designer,gui,help,multimedia]
@@ -144,7 +137,6 @@ BDEPEND="
dev-python/pyside6[quick,quick3d,serialport,sql,svg,testlib]
dev-python/pyside6[webchannel,webengine,websockets,widgets,xml]
)
- )
)
"
diff --git a/dev-python/boto3/boto3-1.24.74.ebuild b/dev-python/boto3/boto3-1.24.74.ebuild
index e4a98e2e28f5..ec8f4d61c530 100644
--- a/dev-python/boto3/boto3-1.24.74.ebuild
+++ b/dev-python/boto3/boto3-1.24.74.ebuild
@@ -25,7 +25,7 @@ else
https://github.com/boto/boto3/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+ KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
# botocore is x.(y+3).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
diff --git a/dev-python/botocore/botocore-1.27.74.ebuild b/dev-python/botocore/botocore-1.27.74.ebuild
index ba4830d69cb3..950b4a6ba008 100644
--- a/dev-python/botocore/botocore-1.27.74.ebuild
+++ b/dev-python/botocore/botocore-1.27.74.ebuild
@@ -24,7 +24,7 @@ else
https://github.com/boto/botocore/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+ KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
fi
RDEPEND="
diff --git a/dev-python/canonicaljson/metadata.xml b/dev-python/canonicaljson/metadata.xml
index 158b7d7d34aa..e7cad6bfe2b1 100644
--- a/dev-python/canonicaljson/metadata.xml
+++ b/dev-python/canonicaljson/metadata.xml
@@ -11,4 +11,5 @@
</maintainer>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index cefe2b01cc4d..0dc4acf0459c 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1 +1,2 @@
DIST fakeredis-py-1.9.1.gh.tar.gz 86742 BLAKE2B aa3f0b05f486219cb6eb560f561ab3e39cc32286cdc3f4f9aba667e256528b9338dcc03f3ddb00c0db30ddb181afe535e209f6ee0e98c56a0cad445e2181ec67 SHA512 27b4c95e596fdd69cecc737897edfedd6f55e7c5610394b1532e4b2aededaed6ad15763582ce6cc20821ac7ea096f60204f7080d247359d8e8d0d360a61c8e39
+DIST fakeredis-py-1.9.2.gh.tar.gz 87038 BLAKE2B 89ae3059d58fc9649979b787339a98eaedccd2b29814090e1bf0cb2c54836ed722d829b9965d3d0a92ff4d8ee714f6a455b85f68b383a5ba6a67aefd20f70410 SHA512 6a4d90c0c327787b7505542a3615f383735bffb021cbfc0a2adf2cfb87326c517d67c1df2f318cd84b60b8d0f1dcb20faea05529a856bf81b0f3ae6cc16823ed
diff --git a/dev-python/fakeredis/fakeredis-1.9.2.ebuild b/dev-python/fakeredis/fakeredis-1.9.2.ebuild
new file mode 100644
index 000000000000..d19c65f5f4a8
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-1.9.2.ebuild
@@ -0,0 +1,88 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=fakeredis-py-${PV}
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+ https://github.com/cunla/fakeredis-py/
+ https://pypi.org/project/fakeredis/
+"
+SRC_URI="
+ https://github.com/cunla/fakeredis-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/redis-py-4.2[${PYTHON_USEDEP}]
+ <dev-python/redis-py-4.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.16.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin redis
+ sed -i -e '/redis/s:<[0-9.]*:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also lupa
+ test/test_aioredis2.py::test_failed_script_error
+ # TODO
+ "test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
+ "test/test_fakeredis.py::test_lpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_rpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
+ )
+ local EPYTEST_IGNORE=(
+ # these tests fail a lot...
+ test/test_hypothesis.py
+ )
+ local args=(
+ # tests requiring lupa (lua support)
+ -k 'not test_eval and not test_lua and not test_script'
+ )
+ epytest "${args[@]}"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/fitsio/Manifest b/dev-python/fitsio/Manifest
index 218062451e1a..12d49b8c982b 100644
--- a/dev-python/fitsio/Manifest
+++ b/dev-python/fitsio/Manifest
@@ -1 +1,2 @@
DIST fitsio-1.1.7.gh.tar.gz 5052055 BLAKE2B be9c632dcdd08325c5abb2cb9ed9eee6476b27ef2e7197298b269156346ecb72afc9f1d1c2e3ade045f69cde3afac5a6bf3fe5ecbce67fdfc1e6ede529ab1b32 SHA512 d6e81de08c38346050fbaa3e2fb51a496e76133bb0b04f20d816b51b7b7bf21ba37a400c3a6a7f966959223545c736ca6245427457154a4b5976b5a997e9cfcc
+DIST fitsio-1.1.8.gh.tar.gz 5052021 BLAKE2B fd54450ccce61a502b803e85df92821a0f64c91e6c8a535b09da6d6e68df1a0299ffc57e87b514d46f635d83dbabc15dc67a99d84fc93ca11ba052fab9472210 SHA512 8ff7c675d39c74ae821dde29ebbfaa5686a4c8e4454bf6ec4b7edce2f6a2e026aa3fac584af1647e7913748202c8c8e3d58deba9bf07253e3fe4606fd2b52c93
diff --git a/dev-python/fitsio/fitsio-1.1.8.ebuild b/dev-python/fitsio/fitsio-1.1.8.ebuild
new file mode 100644
index 000000000000..8d5a8afcc9b0
--- /dev/null
+++ b/dev-python/fitsio/fitsio-1.1.8.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python library to read from and write to FITS files"
+HOMEPAGE="https://github.com/esheldon/fitsio"
+SRC_URI="
+ https://github.com/esheldon/fitsio/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/numpy-1.11[${PYTHON_USEDEP}]
+ sci-libs/cfitsio:0=
+"
+BDEPEND="${RDEPEND}"
+
+src_configure() {
+ cat >> setup.cfg <<-EOF || die
+ [build_ext]
+ use_system_fitsio = True
+ EOF
+}
+
+python_test() {
+ cd "${T}" || die
+ "${EPYTHON}" -c "import fitsio; exit(fitsio.test.test())" ||
+ die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index 646b181321d3..25b091d61a39 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1,2 +1 @@
-DIST frozendict-2.3.2.gh.tar.gz 306318 BLAKE2B 3bc10f34784a8b76b7c6ca0eeccc8331e9a558f0e24d2328550eb5a985ed2ad6c94d027c51ee44f2d25af67fc453356e01b5cfee773880b87d73c55113ca10b2 SHA512 8dc88a3e7898be8fbced16fbdbdee469d07ecbb06a059512f98f71e50a8c5f2c3a4f3d4e6aa06bab121e4ae2e9cea76f6d89c73212047069f2ef88c616c7278a
DIST frozendict-2.3.4.gh.tar.gz 307399 BLAKE2B ac6311182ed2ba4925a14a145b4d30a0241978f55ae7a81cebc534ede812ca77097f0f8c7eeb08e8cbd6240e036d3b5035bd3e9b284a55b638c93717e3a20258 SHA512 15acc4fceb5e2228ee3423d4a5b86c529e9bdcb7264f59139cbde6194983901a17da8036bebf53d7d8057ce52666031e90eb1ca358bfd374c651fd60743988dc
diff --git a/dev-python/frozendict/frozendict-2.3.2.ebuild b/dev-python/frozendict/frozendict-2.3.2.ebuild
deleted file mode 100644
index b6582e76724f..000000000000
--- a/dev-python/frozendict/frozendict-2.3.2.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A simple immutable mapping for python"
-HOMEPAGE="
- https://github.com/Marco-Sulla/python-frozendict
- https://pypi.python.org/pypi/frozendict
-"
-SRC_URI="https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-S="${WORKDIR}/python-${P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-
-distutils_enable_tests pytest
-
-python_test() {
- cd "${T}" || die
- epytest "${S}/test"
-}
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index fe2cc097252e..373047f50e93 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,3 +1,4 @@
DIST google-api-python-client-2.58.0.gh.tar.gz 33498127 BLAKE2B c00ecad1e863e5abb92cfbbbf57778b63ceaf73ae4cfb00ddf4fd0ed31656a28e475b91a02c03a6231790c2f3ab3e3243d131a97ed0f51151946568f5b56e18c SHA512 00c1606fadb46a6f4f60939135e9fd2840b267cd962630e4cd2d123588e9bdc8c0ed397d9e038ae91a2f31b732eb7698476fc1cf2322771b5720c11a97321b00
DIST google-api-python-client-2.60.0.gh.tar.gz 33586321 BLAKE2B 01bb4dcf8a9b90a65c4e58ded91a7c03c525c15d29dc5b63011e1d1b8281ea68c04526af29d7853f4b7e16681c2482970f3b95faa190522ddf2f0ad3dd4e5e50 SHA512 7cae2e66ae7a41d25e551a5e9b14757d62c0212fe18640b4c1b8f51ff9e0150cfb9a2492de67530c7d24d6d09231d365520c3c06ffb342ba4a68a1a07b69b27d
DIST google-api-python-client-2.62.0.gh.tar.gz 34525876 BLAKE2B 0f2bcd7588a6635511d3851f0a0881761d9cf905a83b406aaa824ef1ac86a3f9af9df2f90193b30852028b804fd30d8aa6214a5be83e26401a626ce3156e884f SHA512 4348bce74db02f74bd386d0276de2e2ec0126e7c1b79bea962056612f868d2b2306c51663ca293672db750460bd3722a66fb22139d14f30adcd3e0d455a2118a
+DIST google-api-python-client-2.63.0.gh.tar.gz 34736367 BLAKE2B 4657dd86a62def7d2858cefd63d8c8b23b36a38f65aa3e76f4436eb4d3334321fbda9530684b2d001883ba0345ef7de6d8447a86208023a3e77dae59269ef255 SHA512 a8253904fc9db8687be7a04356e9e11202073ce05c77f770d51ed973e0c87db32c4b39750e1a48d813186530dfeae0f76452df7241686d6a64afbdff35626387
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.63.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.63.0.ebuild
new file mode 100644
index 000000000000..95188afdf1fa
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.63.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+SRC_URI="
+ https://github.com/googleapis/google-api-python-client/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ epytest tests
+}
diff --git a/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild b/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild
index ebd26f709355..853f5d898510 100644
--- a/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild
+++ b/dev-python/hatch-vcs/hatch-vcs-0.2.0.ebuild
@@ -25,5 +25,10 @@ KEYWORDS="amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x
RDEPEND="
>=dev-python/setuptools_scm-6.4.0[${PYTHON_USEDEP}]
"
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
distutils_enable_tests pytest
diff --git a/dev-python/iminuit/Manifest b/dev-python/iminuit/Manifest
index 0fdc191e9925..be94b64b7a3b 100644
--- a/dev-python/iminuit/Manifest
+++ b/dev-python/iminuit/Manifest
@@ -1 +1,2 @@
DIST iminuit-2.16.0.tar.gz 429960 BLAKE2B 39d5d52797f8f9749dc99b638039323c5eaedec9bd810f8f6b79f19c37e12d6c8d3c6acd4811b80a43828c9ca7b1a30ea71174cdd749d40f5b27cdfd1de193c6 SHA512 06a3906ff121c135ec3c882a5eb5d77a09b910cd2b81d4e6e635122a4544546b64fc6342936a8a963e84d89efca82552a0283908e100d26c25d4bbf7fca5735e
+DIST iminuit-2.17.0.tar.gz 431704 BLAKE2B 46bd5f108f42ba426f71cf7670a1936cbf1c24fd070ace653b9daf55c22a4012ac2e052a05a94ffb6873a42adb7a23509b22f25b0db576ca42e27eea51aca67a SHA512 c42c1a1630d6abf3232ec862c2064db74b7395a9f5ffa515157c74fe86dd4026dc985fa377d5355574fe2fe131432efe006a68b9883cb67c4fa31a3929071f0c
diff --git a/dev-python/iminuit/iminuit-2.17.0.ebuild b/dev-python/iminuit/iminuit-2.17.0.ebuild
new file mode 100644
index 000000000000..4bc2076a752f
--- /dev/null
+++ b/dev-python/iminuit/iminuit-2.17.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+# forced implicitly
+CMAKE_MAKEFILE_GENERATOR=emake
+inherit cmake distutils-r1 virtualx
+
+DESCRIPTION="Minuit numerical function minimization in Python"
+HOMEPAGE="https://github.com/scikit-hep/iminuit/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT LGPL-2.1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ epytest -p no:pytest-describe || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/jc/Manifest b/dev-python/jc/Manifest
index ff3ad059b142..46166f3aca11 100644
--- a/dev-python/jc/Manifest
+++ b/dev-python/jc/Manifest
@@ -1,2 +1,3 @@
DIST jc-1.21.0.gh.tar.gz 11910267 BLAKE2B 7d02f6b574dc2171daca9682ef5cfe2ccdba6230320fc331c086c47b147e49efbd11fcb7b7f26bf4d448d4462f051b5b6892eff16e853cdb6cc4927f5cffddba SHA512 5382aba5c6ea0409fae31097516912d07133d2c14eb529e9df742f2efe4682c7e36e934786c9b12454d23e4c3acd5bdce3e97f410303b761f695db787058b034
DIST jc-1.21.2.gh.tar.gz 11910311 BLAKE2B ece8651c55f62821e30574cc208f3e1a569a2408ae1c637329556d49aae894afd7a57cdb7c70a0fdd16136fddd7329a1cefab493848376f22d5fae553c0231eb SHA512 3860e429a11131b888fa0689dd627016d3e9c052908979c22eca604281f13ba3df7164cdfa04ff6e4e08146b42d7bd76888efdcce65a549d5c904ecd207209f0
+DIST jc-1.22.0.gh.tar.gz 12062944 BLAKE2B 8a4f301c563cabb5ee780280d3aa3caa64a8cbab7972c67854e0c7fb53ba86c6cae12682f6bc8559d51ef692e0352378c01a223848249c0f8f3b664bad63e7ce SHA512 832ef3d209bbf6e3d3a4b7b038e80fc0dcb99d4ba38732ad393fdbe59be4f5d86428cfbbdb81f48d5902b31bdea635996a99aeada19361d74c991e711560767e
diff --git a/dev-python/jc/jc-1.22.0.ebuild b/dev-python/jc/jc-1.22.0.ebuild
new file mode 100644
index 000000000000..f0da51437f69
--- /dev/null
+++ b/dev-python/jc/jc-1.22.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Converts the output of popular command-line tools and file-types to JSON"
+HOMEPAGE="
+ https://github.com/kellyjonbrazil/jc/
+ https://pypi.org/project/jc/
+"
+SRC_URI="
+ https://github.com/kellyjonbrazil/jc/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+RDEPEND="
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/matplotlib/matplotlib-3.6.0.ebuild b/dev-python/matplotlib/matplotlib-3.6.0-r1.ebuild
index 0135e91c30af..fb59c3730c35 100644
--- a/dev-python/matplotlib/matplotlib-3.6.0.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.6.0-r1.ebuild
@@ -43,7 +43,7 @@ RDEPEND="
>=dev-python/kiwisolver-1.2.0[${PYTHON_USEDEP}]
>=dev-python/numpy-1.19[${PYTHON_USEDEP}]
>=dev-python/packaging-20.0[${PYTHON_USEDEP}]
- >=dev-python/pillow-7.1.1[jpeg,${PYTHON_USEDEP}]
+ >=dev-python/pillow-7.1.1[jpeg,webp,${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.2.1[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
>=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
diff --git a/dev-python/matrix-common/metadata.xml b/dev-python/matrix-common/metadata.xml
index 158b7d7d34aa..e7cad6bfe2b1 100644
--- a/dev-python/matrix-common/metadata.xml
+++ b/dev-python/matrix-common/metadata.xml
@@ -11,4 +11,5 @@
</maintainer>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mdit-py-plugins/Manifest b/dev-python/mdit-py-plugins/Manifest
index c04b4ab0815a..a7ab311aa1fa 100644
--- a/dev-python/mdit-py-plugins/Manifest
+++ b/dev-python/mdit-py-plugins/Manifest
@@ -1 +1,2 @@
DIST mdit-py-plugins-0.3.0.gh.tar.gz 50654 BLAKE2B e84842e7cada1d9239f1d449c1a21ed654ab13017ea92f82190053b37371bc7e06d7afb65f6f56f7fa935666d24d05dca99628121bd4092a1143c289588ddfa4 SHA512 dd6aa738c6d93e45437326b1be52e0a9fc411aa3beacb61690919c272979c97ac1b38116b1ebb01c7d8fe724d4af9621c81ccd45131a690df8a2c0c325eef0e8
+DIST mdit-py-plugins-0.3.1.gh.tar.gz 53897 BLAKE2B 57bb08ec6f90d28beb10fbd57d980b1d6f7b1df5d5c3d537685ec1c34d2ea74ea9e5facd0ee432d12924ae2d35d32e3c4dc3600485486b6cd49d5568bffbf48f SHA512 a934953e95eba04f5c1626d8256fed53cbbb26e35d816b41b7aaf968b452e3bfaa99e3008009dbdd8d9e7c89497916916c2cc1fabbecb735624231cafee864ea
diff --git a/dev-python/mdit-py-plugins/mdit-py-plugins-0.3.1.ebuild b/dev-python/mdit-py-plugins/mdit-py-plugins-0.3.1.ebuild
new file mode 100644
index 000000000000..5361014e378e
--- /dev/null
+++ b/dev-python/mdit-py-plugins/mdit-py-plugins-0.3.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of plugins for markdown-it-py"
+HOMEPAGE="
+ https://pypi.org/project/mdit-py-plugins/
+ https://github.com/executablebooks/mdit-py-plugins/
+"
+SRC_URI="
+ https://github.com/executablebooks/mdit-py-plugins/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/markdown-it-py[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-regressions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/mkdocs/Manifest b/dev-python/mkdocs/Manifest
index d195835dc895..1038b9f0ed30 100644
--- a/dev-python/mkdocs/Manifest
+++ b/dev-python/mkdocs/Manifest
@@ -1 +1,2 @@
DIST mkdocs-1.3.1.gh.tar.gz 4088396 BLAKE2B b54d0090318fef205d84c4e914f916f91309bdfe6857cd2592fea24e6fb68baaa2eede6dc768681c85ae37adf794546a6ac82dd34d300f421969991f9a796cae SHA512 6eb041f9d0a628eb3a2e6585fde0959f5ef35501edf2c69db640059d98523e2cfa723bc49aedfac1dea4804dcf3c51791e4a052b77ef97bd85a0f4ace2a4d9ad
+DIST mkdocs-1.4.0.gh.tar.gz 4129220 BLAKE2B 2bd216f569fa7778d40faf4af019304651b72d48bc9cdea7c378cb955d842547c41544c5491aea22b16be6a7589ef42e3ec1ab9bcfc0d77d3cf096a2002bc67d SHA512 83da22c71345829f86c2add0c11a74cc93da12e61e5036fa8a9699569be21e31407057b246f050f3de31cb1d9a554399b778932c7b3993316908b61cf240ffb1
diff --git a/dev-python/mkdocs/mkdocs-1.4.0.ebuild b/dev-python/mkdocs/mkdocs-1.4.0.ebuild
new file mode 100644
index 000000000000..f3db2bb7d82f
--- /dev/null
+++ b/dev-python/mkdocs/mkdocs-1.4.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Project documentation with Markdown"
+HOMEPAGE="https://www.mkdocs.org https://github.com/mkdocs/mkdocs"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+IUSE="doc"
+
+BDEPEND="
+ doc? (
+ $(python_gen_any_dep '
+ dev-python/mdx_gh_links[${PYTHON_USEDEP}]
+ dev-python/mkdocs-redirects[${PYTHON_USEDEP}]
+ ')
+ )
+"
+RDEPEND="
+ >=dev-python/Babel-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.11.1[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.3.3[${PYTHON_USEDEP}]
+ <dev-python/markdown-3.4[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/watchdog-2.0[${PYTHON_USEDEP}]
+ >=dev-python/ghp-import-1.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml_env_tag-0.1[${PYTHON_USEDEP}]
+ >=dev-python/importlib_metadata-4.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.5[${PYTHON_USEDEP}]
+ >=dev-python/mergedeep-1.3.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Tests fails if additional themes are installed
+ mkdocs/tests/utils/utils_tests.py::UtilsTests::test_get_themes
+ mkdocs/tests/utils/utils_tests.py::UtilsTests::test_get_themes_error
+ mkdocs/tests/utils/utils_tests.py::UtilsTests::test_get_themes_warning
+
+ # Does not work in emerge env
+ mkdocs/tests/config/config_options_tests.py::ListOfPathsTest::test_paths_localized_to_config
+)
+
+python_prepare_all() {
+ # livereload has been dropped in this release, this test is a remnant
+ rm mkdocs/tests/livereload_tests.py || die
+
+ # Does not work in emerge env
+ sed -i -e 's/test_paths_localized_to_config/_&/' \
+ mkdocs/tests/config/config_options_tests.py
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ default
+ if use doc; then
+ # cannot just do mkdocs build, because that fails if
+ # the package isn't already installed
+ python -m mkdocs build || die "Failed to make docs"
+ # Colliding files found by ecompress:
+ rm site/sitemap.xml.gz || die
+ HTML_DOCS=( "site/." )
+ fi
+}
+
+python_test() {
+ epytest mkdocs/tests/*
+}
diff --git a/dev-python/myst_parser/Manifest b/dev-python/myst_parser/Manifest
index 9aaf628894c5..381eb2f9e5a6 100644
--- a/dev-python/myst_parser/Manifest
+++ b/dev-python/myst_parser/Manifest
@@ -1 +1,2 @@
DIST MyST-Parser-0.18.0.gh.tar.gz 768448 BLAKE2B efb5d1907b5779b1816f1cc4fd5ede9543cf246e4029f4bf6d763a8aacdf54b5c8c5efa2fea61de4bf257f5979871409ee907b3349cdb4f099ac689131d0805a SHA512 919494467de3f0cd97c9c8062626b88c22fd0596e120b7ca117b8bce18d9fad9faf06a36e4c5bd8a4dad838c888524c780beceaf3e7acb42232bd3c903fabc3f
+DIST MyST-Parser-0.18.1.gh.tar.gz 769288 BLAKE2B 77f21ae4277ef4ed9020caad86ef3ea92a1efca35f7ab61203fe2125e4fab31a74a740db7a1f1d6ea0a576c24706b0997beea296d782eb5a07ba4e91a0a9e52d SHA512 4bc3a89480f175779da4f093aaa99a1516f76ab4107dcf8747b6614f347e91739f8596693f95529d76aedbb0c84b4efde4262517bc445aa7027d51e05e8b48bc
diff --git a/dev-python/myst_parser/myst_parser-0.18.1.ebuild b/dev-python/myst_parser/myst_parser-0.18.1.ebuild
new file mode 100644
index 000000000000..cf6677e4f9bd
--- /dev/null
+++ b/dev-python/myst_parser/myst_parser-0.18.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=MyST-Parser-${PV}
+DESCRIPTION="Extended commonmark compliant parser, with bridges to sphinx"
+HOMEPAGE="
+ https://github.com/executablebooks/MyST-Parser/
+ https://pypi.org/project/myst-parser/
+"
+SRC_URI="
+ https://github.com/executablebooks/MyST-Parser/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/docutils-0.20[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/markdown-it-py[${PYTHON_USEDEP}]
+ >=dev-python/mdit-py-plugins-0.3.1[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ <dev-python/sphinx-5.2[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-4[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/pytest-regressions[${PYTHON_USEDEP}]
+ dev-python/pytest-param-files[${PYTHON_USEDEP}]
+ dev-python/sphinx-pytest[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Unimportant tests needing a new dep linkify
+ tests/test_renderers/test_myst_config.py::test_cmdline
+ tests/test_sphinx/test_sphinx_builds.py::test_extended_syntaxes
+ )
+
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ # bad test relying on exact exception messages
+ "tests/test_renderers/test_include_directive.py::test_errors[9-Non-existent path:]"
+ )
+
+ epytest
+}
diff --git a/dev-python/oct2py/Manifest b/dev-python/oct2py/Manifest
index 2c0627be5fd8..ce03848ed007 100644
--- a/dev-python/oct2py/Manifest
+++ b/dev-python/oct2py/Manifest
@@ -1 +1,2 @@
DIST oct2py-5.2.0.tar.gz 436128 BLAKE2B 674bd034a44aa9cdb5fd4258c96665fda1b1d79a13ae9fa8d36d168e39385a978ed75bf8748ecdd53f57720785ea8e6c5ffd85d81f3b3c307a748fbc8d328a86 SHA512 55c2ee68b4fd73a8901fa2f7f67fefde5fa37d5070434aee03bfa2a746ff5179f51ccb96541a112e416438eb912caa81e040a5a1cbcbfac36b0285d496ac96fd
+DIST oct2py-5.5.1.tar.gz 442518 BLAKE2B c0a645464b64d04137f53f3c15bcd90d1df193d7dd7e955cf1e90b5d279091cc16b3052321a1788b6a382ad8759db1619b0a20d117c627d88abe75d13aeb62e3 SHA512 4bd81fc493d9c0b602bf254f7f8bcf5d2024c5c1004fd8a26d94608eb0c802af44d74efb2f2ff941cff89be5265136d987e9a8fc9c4ab987da513d57b291ad2e
diff --git a/dev-python/oct2py/oct2py-5.5.1.ebuild b/dev-python/oct2py/oct2py-5.5.1.ebuild
new file mode 100644
index 000000000000..d81a14fc8562
--- /dev/null
+++ b/dev-python/oct2py/oct2py-5.5.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Python to GNU Octave bridge"
+HOMEPAGE="
+ https://github.com/blink1073/oct2py
+ https://blink1073.github.io/oct2py/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/numpy-1.12[${PYTHON_USEDEP}]
+ >=dev-python/octave_kernel-0.34.0[${PYTHON_USEDEP}]
+ >=dev-python/scipy-0.17[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ )"
+
+EPYTEST_DESELECT=(
+ # No graphics toolkit available: 743589
+ "oct2py/ipython/tests/test_octavemagic.py::OctaveMagicTest::test_octave_plot"
+)
+
+distutils_enable_sphinx docs/source \
+ dev-python/numpydoc dev-python/sphinx-bootstrap-theme dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+PATCHES=( "${FILESDIR}"/${PN}-5.2.0-mask-pkg-load-test.patch )
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ docinto examples
+ dodoc -r example/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/dev-python/pymacaroons/metadata.xml b/dev-python/pymacaroons/metadata.xml
index 158b7d7d34aa..e7cad6bfe2b1 100644
--- a/dev-python/pymacaroons/metadata.xml
+++ b/dev-python/pymacaroons/metadata.xml
@@ -11,4 +11,5 @@
</maintainer>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pyside2-tools/Manifest b/dev-python/pyside2-tools/Manifest
index 04e25fda279c..a69f8b0496e6 100644
--- a/dev-python/pyside2-tools/Manifest
+++ b/dev-python/pyside2-tools/Manifest
@@ -1 +1,2 @@
DIST pyside-setup-opensource-src-5.15.5.tar.xz 3577972 BLAKE2B ee16ce18ec4103add41ad89b658012cb2e8695bda51269d3cd1614c2b6d029c0eaba5e592d5e58b6267e1ddc020a938d3ccd2fbc9461cc5bf202f3bdbf6b5d62 SHA512 61b987ec823e9a89f2a07a1991d47f36eb45e3ce416aa6e0032a58ba3d623ac26224cb0f43a2db76850bce7290d12fae610de06405350362caac7860ba99f0c3
+DIST pyside-setup-opensource-src-5.15.6.tar.xz 3580388 BLAKE2B 8a3b15d073bcbb0c6734f500ca906e56387cb8fc4bfcfd996304d71b54edd5f4568976049519ed26aa718bee9e43f59a0c4ef53837d5a341219b991a8527a800 SHA512 99a0c1a05e722cbf33128cf25742e61b92e151fdc05b79db9bafe778e024a0c6fc2886ee3d0b923ff681c55916f5c0eea4197f174432587fd662fba4390b26f4
diff --git a/dev-python/pyside2-tools/pyside2-tools-5.15.6.ebuild b/dev-python/pyside2-tools/pyside2-tools-5.15.6.ebuild
new file mode 100644
index 000000000000..73282d1dec46
--- /dev/null
+++ b/dev-python/pyside2-tools/pyside2-tools-5.15.6.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# TODO: Add PyPy once officially supported. See also:
+# https://bugreports.qt.io/browse/PYSIDE-535
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+CMAKE_IN_SOURCE_BUILD=1
+
+inherit cmake python-r1
+
+MY_P=pyside-setup-opensource-src-${PV}
+
+DESCRIPTION="PySide development tools (pyside2-lupdate with support for Python)"
+HOMEPAGE="https://wiki.qt.io/PySide2"
+SRC_URI="https://download.qt.io/official_releases/QtForPython/pyside2/PySide2-${PV}-src/${MY_P}.tar.xz"
+S="${WORKDIR}/${MY_P}/sources/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/pyside2-${PV}[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( README.md )
+
+# the tools conflict with tools from QT
+PATCHES=(
+ "${FILESDIR}/${PN}-5.15.1-dont-install-tools.patch"
+)
+
+src_prepare() {
+ cmake_src_prepare
+
+ python_copy_sources
+}
+
+src_configure() {
+ # The tests are only related to the tools that we don't install
+ local mycmakeargs=(
+ -DBUILD_TESTS=OFF
+ )
+
+ pyside-tools_configure() {
+ local mycmakeargs=(
+ "${mycmakeargs[@]}"
+ -DPYTHON_CONFIG_SUFFIX="-${EPYTHON}"
+ )
+ CMAKE_USE_DIR="${BUILD_DIR}" cmake_src_configure
+ }
+
+ python_foreach_impl pyside-tools_configure
+}
+
+src_compile() {
+ pyside-tools_compile() {
+ CMAKE_USE_DIR="${BUILD_DIR}" cmake_src_compile
+ }
+
+ python_foreach_impl pyside-tools_compile
+}
+
+src_install() {
+ pyside-tools_install() {
+ python_doexe "${BUILD_DIR}/pylupdate/pyside2-lupdate"
+ }
+
+ python_foreach_impl pyside-tools_install
+
+ doman pylupdate/pyside2-lupdate.1
+ einstalldocs
+}
diff --git a/dev-python/pyside2/Manifest b/dev-python/pyside2/Manifest
index 04e25fda279c..a69f8b0496e6 100644
--- a/dev-python/pyside2/Manifest
+++ b/dev-python/pyside2/Manifest
@@ -1 +1,2 @@
DIST pyside-setup-opensource-src-5.15.5.tar.xz 3577972 BLAKE2B ee16ce18ec4103add41ad89b658012cb2e8695bda51269d3cd1614c2b6d029c0eaba5e592d5e58b6267e1ddc020a938d3ccd2fbc9461cc5bf202f3bdbf6b5d62 SHA512 61b987ec823e9a89f2a07a1991d47f36eb45e3ce416aa6e0032a58ba3d623ac26224cb0f43a2db76850bce7290d12fae610de06405350362caac7860ba99f0c3
+DIST pyside-setup-opensource-src-5.15.6.tar.xz 3580388 BLAKE2B 8a3b15d073bcbb0c6734f500ca906e56387cb8fc4bfcfd996304d71b54edd5f4568976049519ed26aa718bee9e43f59a0c4ef53837d5a341219b991a8527a800 SHA512 99a0c1a05e722cbf33128cf25742e61b92e151fdc05b79db9bafe778e024a0c6fc2886ee3d0b923ff681c55916f5c0eea4197f174432587fd662fba4390b26f4
diff --git a/dev-python/pyside2/pyside2-5.15.6.ebuild b/dev-python/pyside2/pyside2-5.15.6.ebuild
new file mode 100644
index 000000000000..218d478b5c12
--- /dev/null
+++ b/dev-python/pyside2/pyside2-5.15.6.ebuild
@@ -0,0 +1,224 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# TODO: Add PyPy once officially supported. See also:
+# https://bugreports.qt.io/browse/PYSIDE-535
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit cmake python-r1 virtualx
+
+# TODO: Add conditional support for "QtRemoteObjects" via a new "remoteobjects"
+# USE flag after an external "dev-qt/qtremoteobjects" package has been created.
+# TODO: Add conditional support for apidoc generation via a new "doc" USE flag.
+# Note that doing so requires the Qt source tree, sphinx, and graphviz. Once
+# ready, pass the ${QT_SRC_DIR} variable to cmake to enable this support.
+# TODO: Disable GLES support if the "gles2-only" USE flag is disabled. Note
+# that the "PySide2/QtGui/CMakeLists.txt" and
+# "PySide2/QtOpenGLFunctions/CMakeLists.txt" files test for GLES support by
+# testing whether the "Qt5::Gui" list property defined by
+# "/usr/lib64/cmake/Qt5Gui/Qt5GuiConfig.cmake" at "dev-qt/qtgui" installation
+# time contains the substring "opengles2". Since cmake does not permit
+# properties to be overridden from the command line, these files must instead
+# be conditionally patched to avoid these tests. An issue should be filed with
+# upstream requesting a CLI-settable variable to control this.
+
+MY_P=pyside-setup-opensource-src-${PV}
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://wiki.qt.io/PySide2"
+SRC_URI="https://download.qt.io/official_releases/QtForPython/pyside2/PySide2-${PV}-src/${MY_P}.tar.xz"
+S="${WORKDIR}/${MY_P}/sources/pyside2"
+
+# See "sources/pyside2/PySide2/licensecomment.txt" for licensing details.
+# Shall we allow essential modules to be disabled? They are:
+# (core), gui, widgets, printsupport, sql, network, testlib, concurrent,
+# x11extras (for X)
+LICENSE="|| ( GPL-2 GPL-3+ LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="
+ 3d charts +concurrent datavis designer gles2-only +gui help location
+ multimedia +network positioning +printsupport qml quick script scripttools
+ scxml sensors speech +sql svg test +testlib webchannel webengine websockets
+ +widgets +x11extras xml xmlpatterns
+"
+
+# Manually reextract these requirements on version bumps by running the
+# following one-liner from within "${S}":
+# $ grep 'set.*_deps' PySide2/Qt*/CMakeLists.txt
+# Note that the "designer" USE flag corresponds to the "Qt5UiTools" module.
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ 3d? ( gui network )
+ charts? ( gui widgets )
+ datavis? ( gui )
+ designer? ( widgets xml )
+ gles2-only? ( gui )
+ help? ( widgets )
+ location? ( positioning )
+ multimedia? ( gui network widgets )
+ printsupport? ( widgets )
+ qml? ( gui network )
+ quick? ( gui network qml widgets )
+ scripttools? ( gui script widgets )
+ speech? ( multimedia )
+ sql? ( widgets )
+ svg? ( widgets )
+ testlib? ( widgets )
+ webengine? (
+ network
+ widgets? ( gui printsupport webchannel )
+ )
+ websockets? ( network )
+ widgets? ( gui )
+ x11extras? ( gui )
+"
+
+# Tests fail pretty bad and I'm not fixing them right now
+RESTRICT="test"
+
+# Minimal supported version of Qt.
+QT_PV="$(ver_cut 1-2):5"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/shiboken2-${PV}[${PYTHON_USEDEP}]
+ dev-qt/qtcore:5
+ dev-qt/qtopengl:5[gles2-only=]
+ dev-qt/qtserialport:5
+ 3d? ( >=dev-qt/qt3d-${QT_PV}[qml?,gles2-only=] )
+ charts? ( >=dev-qt/qtcharts-${QT_PV}[qml?] )
+ concurrent? ( >=dev-qt/qtconcurrent-${QT_PV} )
+ datavis? ( >=dev-qt/qtdatavis3d-${QT_PV}[qml?,gles2-only=] )
+ designer? ( >=dev-qt/designer-${QT_PV} )
+ gui? ( >=dev-qt/qtgui-${QT_PV}[jpeg,gles2-only=] )
+ help? ( >=dev-qt/qthelp-${QT_PV} )
+ location? ( >=dev-qt/qtlocation-${QT_PV} )
+ multimedia? ( >=dev-qt/qtmultimedia-${QT_PV}[qml?,gles2-only=,widgets?] )
+ network? ( >=dev-qt/qtnetwork-${QT_PV} )
+ positioning? ( >=dev-qt/qtpositioning-${QT_PV}[qml?] )
+ printsupport? ( >=dev-qt/qtprintsupport-${QT_PV}[gles2-only=] )
+ qml? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+ quick? (
+ >=dev-qt/qtdeclarative-${QT_PV}[widgets?]
+ >=dev-qt/qtquickcontrols2-${QT_PV}[widgets?]
+ )
+ script? ( >=dev-qt/qtscript-${QT_PV}[scripttools?] )
+ scxml? ( >=dev-qt/qtscxml-${QT_PV} )
+ sensors? ( >=dev-qt/qtsensors-${QT_PV}[qml?] )
+ speech? ( >=dev-qt/qtspeech-${QT_PV} )
+ sql? ( >=dev-qt/qtsql-${QT_PV} )
+ svg? ( >=dev-qt/qtsvg-${QT_PV} )
+ testlib? ( >=dev-qt/qttest-${QT_PV} )
+ webchannel? ( >=dev-qt/qtwebchannel-${QT_PV}[qml] )
+ webengine? ( >=dev-qt/qtwebengine-${QT_PV}[widgets?] )
+ websockets? ( >=dev-qt/qtwebsockets-${QT_PV}[qml?] )
+ widgets? ( >=dev-qt/qtwidgets-${QT_PV}[gles2-only=] )
+ x11extras? ( >=dev-qt/qtx11extras-${QT_PV} )
+ xml? ( >=dev-qt/qtxml-${QT_PV} )
+ xmlpatterns? ( >=dev-qt/qtxmlpatterns-${QT_PV}[qml?] )
+"
+DEPEND="${RDEPEND}
+ test? ( x11-misc/xvfb-run )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-5.15.2-python310.patch"
+ "${FILESDIR}/${PN}-5.15.2-python311.patch"
+ "${FILESDIR}/${PN}-5.15.2-python311-fixups.patch"
+)
+
+src_configure() {
+ # See COLLECT_MODULE_IF_FOUND macros in CMakeLists.txt
+ local mycmakeargs=(
+ -DBUILD_TESTS=$(usex test)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt53DAnimation=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt53DCore=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt53DExtras=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt53DInput=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt53DLogic=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt53DRender=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Charts=$(usex !charts)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Concurrent=$(usex !concurrent)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5DataVisualization=$(usex !datavis)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Designer=$(usex !designer)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Gui=$(usex !gui)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Help=$(usex !help)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Location=$(usex !location)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Multimedia=$(usex !multimedia)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5MultimediaWidgets=$(usex !multimedia yes $(usex !widgets))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Network=$(usex !network)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Positioning=$(usex !positioning)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5PrintSupport=$(usex !printsupport)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Qml=$(usex !qml)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Quick=$(usex !quick)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5QuickControls2=$(usex !quick)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5QuickWidgets=$(usex !quick yes $(usex !widgets))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Script=$(usex !script)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5ScriptTools=$(usex !scripttools)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Scxml=$(usex !scxml)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Sensors=$(usex !sensors)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5TextToSpeech=$(usex !speech)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Sql=$(usex !sql)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Svg=$(usex !svg)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Test=$(usex !testlib)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5UiTools=$(usex !designer)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebChannel=$(usex !webchannel)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngine=$(usex !webengine)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineCore=$(usex !webengine)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineWidgets=$(usex !webengine yes $(usex !widgets))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebSockets=$(usex !websockets)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Widgets=$(usex !widgets)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5X11Extras=$(usex !x11extras)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Xml=$(usex !xml)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt5XmlPatterns=$(usex !xmlpatterns)
+ )
+
+ pyside2_configure() {
+ local mycmakeargs=(
+ "${mycmakeargs[@]}"
+ -DPYTHON_CONFIG_SUFFIX="-${EPYTHON}"
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DPYTHON_SITE_PACKAGES="$(python_get_sitedir)"
+ -DSHIBOKEN_PYTHON_SHARED_LIBRARY_SUFFIX="-${EPYTHON}"
+ )
+ cmake_src_configure
+ }
+ python_foreach_impl pyside2_configure
+}
+
+src_compile() {
+ python_foreach_impl cmake_src_compile
+}
+
+src_test() {
+ local -x PYTHONDONTWRITEBYTECODE
+ python_foreach_impl virtx cmake_src_test
+}
+
+src_install() {
+ pyside2_install() {
+ cmake_src_install
+ python_optimize
+
+ # Uniquify the shiboken2 pkgconfig dependency in the PySide2 pkgconfig
+ # file for the current Python target. See also:
+ # https://github.com/leycec/raiagent/issues/73
+ sed -i -e 's~^Requires: shiboken2$~&-'${EPYTHON}'~' \
+ "${ED}/usr/$(get_libdir)"/pkgconfig/${PN}.pc || die
+
+ # Uniquify the PySide2 pkgconfig file for the current Python target,
+ # preserving an unversioned "pyside2.pc" file arbitrarily associated
+ # with the last Python target. (See the previously linked issue.)
+ cp "${ED}/usr/$(get_libdir)"/pkgconfig/${PN}{,-${EPYTHON}}.pc || die
+ }
+ python_foreach_impl pyside2_install
+
+ # CMakeLists.txt installs a "PySide2Targets-gentoo.cmake" file forcing
+ # downstream consumers (e.g., pyside2-tools) to target one
+ # "libpyside2-*.so" library linked to one Python interpreter. See also:
+ # https://bugreports.qt.io/browse/PYSIDE-1053
+ # https://github.com/leycec/raiagent/issues/74
+ sed -i -e 's~pyside2-python[[:digit:]]\+\.[[:digit:]]\+~pyside2${PYTHON_CONFIG_SUFFIX}~g' \
+ "${ED}/usr/$(get_libdir)/cmake/PySide2-${PV}/PySide2Targets-${CMAKE_BUILD_TYPE,,}.cmake" || die
+}
diff --git a/dev-python/pyside6-tools/Manifest b/dev-python/pyside6-tools/Manifest
index 92c9648ed03b..d775a81b0c8a 100644
--- a/dev-python/pyside6-tools/Manifest
+++ b/dev-python/pyside6-tools/Manifest
@@ -1 +1 @@
-DIST pyside-setup-opensource-src-6.3.1.tar.xz 7685896 BLAKE2B 66eb9ced1899fabea2be1b6471fcaa3eca4c74e989e7eab47dc44db623eb6242a713e1e7c7e2a6daad36994d3766cf7adc79e3601bfc3908a051fdc97b52522f SHA512 81751fa9e2c492ceae42b3cb1f871d3f95f56cc07c382f02574899f3eab8db52453b0b636e63d53e0d2195f1686a01ad2bee20953aa0a8237719ec06d2b6e321
+DIST pyside-setup-opensource-src-6.3.2.tar.xz 7853068 BLAKE2B 5b39e2f98bca0155d3f6617be206b759b628d0126fd30d76d67352c5c78a385938ce61a3c42b75343b9fde708e9f66617122c687ea9ecffca9cd0ab3af91a2ff SHA512 8d25d20b64ac7874e9b7866f101b6bfd7b6fe1fffa602fec6113e1fdaa11608f14a58c2ae1d87b45ee3eac6a07bd55e66dbbd222727cfe6860d8f444bc2b1ff0
diff --git a/dev-python/pyside6-tools/pyside6-tools-6.3.1.ebuild b/dev-python/pyside6-tools/pyside6-tools-6.3.2.ebuild
index a9ef1b905b13..a9ef1b905b13 100644
--- a/dev-python/pyside6-tools/pyside6-tools-6.3.1.ebuild
+++ b/dev-python/pyside6-tools/pyside6-tools-6.3.2.ebuild
diff --git a/dev-python/pyside6/Manifest b/dev-python/pyside6/Manifest
index 92c9648ed03b..d775a81b0c8a 100644
--- a/dev-python/pyside6/Manifest
+++ b/dev-python/pyside6/Manifest
@@ -1 +1 @@
-DIST pyside-setup-opensource-src-6.3.1.tar.xz 7685896 BLAKE2B 66eb9ced1899fabea2be1b6471fcaa3eca4c74e989e7eab47dc44db623eb6242a713e1e7c7e2a6daad36994d3766cf7adc79e3601bfc3908a051fdc97b52522f SHA512 81751fa9e2c492ceae42b3cb1f871d3f95f56cc07c382f02574899f3eab8db52453b0b636e63d53e0d2195f1686a01ad2bee20953aa0a8237719ec06d2b6e321
+DIST pyside-setup-opensource-src-6.3.2.tar.xz 7853068 BLAKE2B 5b39e2f98bca0155d3f6617be206b759b628d0126fd30d76d67352c5c78a385938ce61a3c42b75343b9fde708e9f66617122c687ea9ecffca9cd0ab3af91a2ff SHA512 8d25d20b64ac7874e9b7866f101b6bfd7b6fe1fffa602fec6113e1fdaa11608f14a58c2ae1d87b45ee3eac6a07bd55e66dbbd222727cfe6860d8f444bc2b1ff0
diff --git a/dev-python/pyside6/pyside6-6.3.1-r1.ebuild b/dev-python/pyside6/pyside6-6.3.2.ebuild
index 2494beef55ba..e71198b17d1c 100644
--- a/dev-python/pyside6/pyside6-6.3.1-r1.ebuild
+++ b/dev-python/pyside6/pyside6-6.3.2.ebuild
@@ -97,8 +97,8 @@ DEPEND="${RDEPEND}
# testlib is toggled by the gui flag on qtbase
PATCHES=(
- "${FILESDIR}/${P}-no-strip.patch"
- "${FILESDIR}/${P}-fix-designer-plugin-install-location.patch"
+ "${FILESDIR}/${PN}-6.3.1-no-strip.patch"
+ "${FILESDIR}/${PN}-6.3.1-fix-designer-plugin-install-location.patch"
)
src_configure() {
diff --git a/dev-python/python-systemd/Manifest b/dev-python/python-systemd/Manifest
index ea4a30d22aba..98ada322756b 100644
--- a/dev-python/python-systemd/Manifest
+++ b/dev-python/python-systemd/Manifest
@@ -1 +1,2 @@
DIST python-systemd-234.tar.gz 53900 BLAKE2B 2658ee7083036ed8259e5f4ad0714ea15227ee836ad34c7fbbdb55dd9df48751b8d9998350d789b4f47e78fe7b4a7134e12d637e5a6ebeb29a0b31e5a4575d91 SHA512 164e34ba46827711e9c6ff9ed58b2706d9a22abfc7001de030ed7d463d8ddf783eb5fee93b207c29950a3c566018cc3f1a21a549421cf3e05c1287b433367eb2
+DIST python-systemd-235.gh.tar.gz 59858 BLAKE2B 8dbf112773dce4dfe9fb2b0e660a349481fa29c9532c5aa2d125e5bfc255b2408f63b5bd873b6fee9ebbad775ecfaf32497593b17052189797403fa31b05fd6f SHA512 f1286a477200cc7b4d2c44b43452da576e8e660925711466659795775bcee44796688e1ede6cc22e61cb5b03e631c396d22f9a133327ae1147506bce09bab47f
diff --git a/dev-python/python-systemd/python-systemd-235.ebuild b/dev-python/python-systemd/python-systemd-235.ebuild
new file mode 100644
index 000000000000..e4fe2c0d4216
--- /dev/null
+++ b/dev-python/python-systemd/python-systemd-235.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2015-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for native access to the systemd facilities"
+HOMEPAGE="https://github.com/systemd/python-systemd"
+SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+DEPEND="sys-apps/systemd:="
+RDEPEND="${DEPEND}
+ !sys-apps/systemd[python(-)]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # https://bugs.gentoo.org/690316
+ distutils-r1_python_compile -j1
+}
+
+python_test() {
+ unset NOTIFY_SOCKET
+ cd "${T}" || die
+ epytest --pyargs systemd -o cache_dir="${T}"
+}
diff --git a/dev-python/rstcheck/rstcheck-3.3.1.ebuild b/dev-python/rstcheck/rstcheck-3.3.1.ebuild
index 7eab0a60de17..3451bdc7a501 100644
--- a/dev-python/rstcheck/rstcheck-3.3.1.ebuild
+++ b/dev-python/rstcheck/rstcheck-3.3.1.ebuild
@@ -22,7 +22,7 @@ BDEPEND="
>=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
test? (
${RDEPEND}
- dev-python/path-py[${PYTHON_USEDEP}]
+ dev-python/path[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/shiboken2/Manifest b/dev-python/shiboken2/Manifest
index 04e25fda279c..a69f8b0496e6 100644
--- a/dev-python/shiboken2/Manifest
+++ b/dev-python/shiboken2/Manifest
@@ -1 +1,2 @@
DIST pyside-setup-opensource-src-5.15.5.tar.xz 3577972 BLAKE2B ee16ce18ec4103add41ad89b658012cb2e8695bda51269d3cd1614c2b6d029c0eaba5e592d5e58b6267e1ddc020a938d3ccd2fbc9461cc5bf202f3bdbf6b5d62 SHA512 61b987ec823e9a89f2a07a1991d47f36eb45e3ce416aa6e0032a58ba3d623ac26224cb0f43a2db76850bce7290d12fae610de06405350362caac7860ba99f0c3
+DIST pyside-setup-opensource-src-5.15.6.tar.xz 3580388 BLAKE2B 8a3b15d073bcbb0c6734f500ca906e56387cb8fc4bfcfd996304d71b54edd5f4568976049519ed26aa718bee9e43f59a0c4ef53837d5a341219b991a8527a800 SHA512 99a0c1a05e722cbf33128cf25742e61b92e151fdc05b79db9bafe778e024a0c6fc2886ee3d0b923ff681c55916f5c0eea4197f174432587fd662fba4390b26f4
diff --git a/dev-python/shiboken2/files/shiboken2-5.15.6-fix-pyside2-compile.patch b/dev-python/shiboken2/files/shiboken2-5.15.6-fix-pyside2-compile.patch
new file mode 100644
index 000000000000..1af6ad5aef7d
--- /dev/null
+++ b/dev-python/shiboken2/files/shiboken2-5.15.6-fix-pyside2-compile.patch
@@ -0,0 +1,11 @@
+--- a/libshiboken/embed/signature_bootstrap.py 2022-09-08 23:54:19.419724864 +0200
++++ b/libshiboken/embed/signature_bootstrap.py 2022-09-08 23:55:04.494277606 +0200
+@@ -211,7 +211,7 @@
+ return self if self._mod2path.get(fullname) else None
+
+ def load_module(self, fullname):
+- import importlib
++ import importlib.machinery
+ import sys
+
+ filename = self._mod2path.get(fullname)
diff --git a/dev-python/shiboken2/shiboken2-5.15.6.ebuild b/dev-python/shiboken2/shiboken2-5.15.6.ebuild
new file mode 100644
index 000000000000..cf30e21f71b1
--- /dev/null
+++ b/dev-python/shiboken2/shiboken2-5.15.6.ebuild
@@ -0,0 +1,173 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# TODO: Split the "/usr/bin/shiboken2" binding generator from the
+# "/usr/lib64/libshiboken2-*.so" family of shared libraries. The former
+# requires everything (including Clang) at runtime; the latter only requires
+# Qt and Python at runtime. Note that "pip" separates these two as well. See:
+# https://doc.qt.io/qtforpython/shiboken2/faq.html#is-there-any-runtime-dependency-on-the-generated-binding
+# Once split, the PySide2 ebuild should be revised to require
+# "/usr/bin/shiboken2" at build time and "libshiboken2-*.so" at runtime.
+# TODO: Add PyPy once officially supported. See also:
+# https://bugreports.qt.io/browse/PYSIDE-535
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit cmake llvm python-r1 toolchain-funcs
+
+MY_P=pyside-setup-opensource-src-${PV}
+
+DESCRIPTION="Python binding generator for C++ libraries"
+HOMEPAGE="https://wiki.qt.io/PySide2"
+SRC_URI="https://download.qt.io/official_releases/QtForPython/pyside2/PySide2-${PV}-src/${MY_P}.tar.xz"
+S="${WORKDIR}/${MY_P}/sources/shiboken2"
+
+# The "sources/shiboken2/libshiboken" directory is triple-licensed under the
+# GPL v2, v3+, and LGPL v3. All remaining files are licensed under the GPL v3
+# with version 1.0 of a Qt-specific exception enabling shiboken2 output to be
+# arbitrarily relicensed. (TODO)
+LICENSE="|| ( GPL-2 GPL-3+ LGPL-3 ) GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+docstrings numpy test vulkan"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Tests fail pretty bad and I'm not fixing them right now
+RESTRICT="test"
+
+# Minimal supported version of Qt.
+QT_PV="$(ver_cut 1-2):5"
+
+# Since Clang is required at both build- and runtime, BDEPEND is omitted here.
+RDEPEND="${PYTHON_DEPS}
+ >=dev-qt/qtcore-${QT_PV}
+ sys-devel/clang:=
+ sys-devel/clang-runtime:=
+ docstrings? (
+ >=dev-libs/libxml2-2.6.32
+ >=dev-libs/libxslt-1.1.19
+ >=dev-qt/qtxml-${QT_PV}
+ >=dev-qt/qtxmlpatterns-${QT_PV}
+ )
+ numpy? ( dev-python/numpy[${PYTHON_USEDEP}] )
+ vulkan? ( dev-util/vulkan-headers )
+"
+DEPEND="${RDEPEND}
+ test? ( >=dev-qt/qttest-${QT_PV} )
+"
+
+DOCS=( AUTHORS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.15.5-python311-1.patch
+ "${FILESDIR}"/${PN}-5.15.5-python311-2.patch
+ "${FILESDIR}"/${PN}-5.15.5-python311-3.patch
+ "${FILESDIR}"/${PN}-5.15.6-fix-pyside2-compile.patch
+ "${FILESDIR}"/${PN}-5.15.5-add-numpy-1.23-compatibility.patch
+)
+
+# Ensure the path returned by get_llvm_prefix() contains clang as well.
+llvm_check_deps() {
+ has_version "sys-devel/clang:${LLVM_SLOT}"
+}
+
+src_prepare() {
+ # TODO: File upstream issue requesting a sane way to disable NumPy support.
+ if ! use numpy; then
+ sed -i -e '/\bprint(os\.path\.realpath(numpy))/d' \
+ libshiboken/CMakeLists.txt || die
+ fi
+
+ # Shiboken2 assumes Vulkan headers live under either "$VULKAN_SDK/include"
+ # or "$VK_SDK_PATH/include" rather than "${EPREFIX}/usr/include/vulkan".
+ if use vulkan; then
+ sed -i -e "s~\bdetectVulkan(&headerPaths);~headerPaths.append(HeaderPath{QByteArrayLiteral(\"${EPREFIX}/usr/include/vulkan\"), HeaderType::System});~" \
+ ApiExtractor/clangparser/compilersupport.cpp || die
+ fi
+
+ # Shiboken2 assumes the "/usr/lib/clang/${CLANG_NEWEST_VERSION}/include/"
+ # subdirectory provides Clang builtin includes (e.g., "stddef.h") for the
+ # currently installed version of Clang, where ${CLANG_NEWEST_VERSION} is
+ # the largest version specifier that exists under the "/usr/lib/clang/"
+ # subdirectory. This assumption is false in edge cases, including when
+ # users downgrade from newer Clang versions but fail to remove those
+ # versions with "emerge --depclean". See also:
+ # https://github.com/leycec/raiagent/issues/85
+ #
+ # Sadly, the clang-* family of functions exported by the "toolchain-funcs"
+ # eclass are defective, returning nonsensical placeholder strings if the
+ # end user has *NOT* explicitly configured their C++ compiler to be Clang.
+ # PySide2 does *NOT* care whether the end user has done so or not, as
+ # PySide2 unconditionally requires Clang in either case. See also:
+ # https://bugs.gentoo.org/619490
+ sed -i -e 's~(findClangBuiltInIncludesDir())~(QStringLiteral("'"${EPREFIX}"'/usr/lib/clang/'$(CPP=clang clang-fullversion)'/include"))~' \
+ ApiExtractor/clangparser/compilersupport.cpp || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ # Minimal tests for now, 2 failing with the extended version
+ # FIXME Subscripted generics cannot be used with class and instance checks
+ local mycmakeargs=(
+ -DBUILD_TESTS=$(usex test)
+ -DDISABLE_DOCSTRINGS=$(usex !docstrings)
+ )
+
+ shiboken2_configure() {
+ local mycmakeargs=(
+ "${mycmakeargs[@]}"
+ -DPYTHON_CONFIG_SUFFIX="-${EPYTHON}"
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DUSE_PYTHON_VERSION="${EPYTHON#python}"
+ )
+ # CMakeLists.txt expects LLVM_INSTALL_DIR as an environment variable.
+ local -x LLVM_INSTALL_DIR="$(get_llvm_prefix)"
+ cmake_src_configure
+ }
+ python_foreach_impl shiboken2_configure
+}
+
+src_compile() {
+ python_foreach_impl cmake_src_compile
+}
+
+src_test() {
+ python_foreach_impl cmake_src_test
+}
+
+src_install() {
+ shiboken2_install() {
+ cmake_src_install
+ python_optimize
+
+ # Uniquify the "shiboken2" executable for the current Python target,
+ # preserving an unversioned "shiboken2" file arbitrarily associated
+ # with the last Python target.
+ cp "${ED}"/usr/bin/${PN}{,-${EPYTHON}} || die
+
+ # Uniquify the Shiboken2 pkgconfig file for the current Python target,
+ # preserving an unversioned "shiboken2.pc" file arbitrarily associated
+ # with the last Python target. See also:
+ # https://github.com/leycec/raiagent/issues/73
+ cp "${ED}/usr/$(get_libdir)"/pkgconfig/${PN}{,-${EPYTHON}}.pc || die
+ }
+ python_foreach_impl shiboken2_install
+
+ # CMakeLists.txt installs a "Shiboken2Targets-gentoo.cmake" file forcing
+ # downstream consumers (e.g., PySide2) to target one "libshiboken2-*.so"
+ # library and one "shiboken2" executable linked to one Python interpreter.
+ # See also:
+ # https://bugreports.qt.io/browse/PYSIDE-1053
+ # https://github.com/leycec/raiagent/issues/74
+ sed -i \
+ -e 's~shiboken2-python[[:digit:]]\+\.[[:digit:]]\+~shiboken2${PYTHON_CONFIG_SUFFIX}~g' \
+ -e 's~/bin/shiboken2~/bin/shiboken2${PYTHON_CONFIG_SUFFIX}~g' \
+ "${ED}/usr/$(get_libdir)"/cmake/Shiboken2-${PV}/Shiboken2Targets-${CMAKE_BUILD_TYPE,,}.cmake || die
+
+ # Remove the broken "shiboken_tool.py" script. By inspection, this script
+ # reduces to a noop. Moreover, this script raises the following exception:
+ # FileNotFoundError: [Errno 2] No such file or directory: '/usr/bin/../shiboken_tool.py': '/usr/bin/../shiboken_tool.py'
+ rm "${ED}"/usr/bin/shiboken_tool.py || die
+}
diff --git a/dev-python/shiboken6/Manifest b/dev-python/shiboken6/Manifest
index 92c9648ed03b..d775a81b0c8a 100644
--- a/dev-python/shiboken6/Manifest
+++ b/dev-python/shiboken6/Manifest
@@ -1 +1 @@
-DIST pyside-setup-opensource-src-6.3.1.tar.xz 7685896 BLAKE2B 66eb9ced1899fabea2be1b6471fcaa3eca4c74e989e7eab47dc44db623eb6242a713e1e7c7e2a6daad36994d3766cf7adc79e3601bfc3908a051fdc97b52522f SHA512 81751fa9e2c492ceae42b3cb1f871d3f95f56cc07c382f02574899f3eab8db52453b0b636e63d53e0d2195f1686a01ad2bee20953aa0a8237719ec06d2b6e321
+DIST pyside-setup-opensource-src-6.3.2.tar.xz 7853068 BLAKE2B 5b39e2f98bca0155d3f6617be206b759b628d0126fd30d76d67352c5c78a385938ce61a3c42b75343b9fde708e9f66617122c687ea9ecffca9cd0ab3af91a2ff SHA512 8d25d20b64ac7874e9b7866f101b6bfd7b6fe1fffa602fec6113e1fdaa11608f14a58c2ae1d87b45ee3eac6a07bd55e66dbbd222727cfe6860d8f444bc2b1ff0
diff --git a/dev-python/shiboken6/shiboken6-6.3.1.ebuild b/dev-python/shiboken6/shiboken6-6.3.2.ebuild
index d262cab999ed..eaba08762e5f 100644
--- a/dev-python/shiboken6/shiboken6-6.3.1.ebuild
+++ b/dev-python/shiboken6/shiboken6-6.3.2.ebuild
@@ -59,7 +59,7 @@ DEPEND="${RDEPEND}
DOCS=( AUTHORS )
PATCHES=(
- "${FILESDIR}/${P}-no-strip.patch"
+ "${FILESDIR}/${PN}-6.3.1-no-strip.patch"
)
# Ensure the path returned by get_llvm_prefix() contains clang as well.
diff --git a/dev-python/signedjson/metadata.xml b/dev-python/signedjson/metadata.xml
index 158b7d7d34aa..e7cad6bfe2b1 100644
--- a/dev-python/signedjson/metadata.xml
+++ b/dev-python/signedjson/metadata.xml
@@ -11,4 +11,5 @@
</maintainer>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index 876de1377bf8..b139ab8435ae 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -1,2 +1,3 @@
DIST sphinx-autodoc-typehints-1.19.2.gh.tar.gz 26983 BLAKE2B 694edbf94bac05670adad992cfdc7e1146228af7b888a97c4f8e2394623ef3e42251ba0f3c22985517b2a251996cc41a305ea5497b2369363bc00d4bb3d24da7 SHA512 c35c7ed3f0698651be5ba4dd2232912d1f6d9d30e08153527df3fe16001266abc80cd1b11e3a41ccf92140c6baea98105e9bccd9466e65664dcf008f9a944634
DIST sphinx-autodoc-typehints-1.19.3.gh.tar.gz 27694 BLAKE2B c1528fa4d4e055dab723bfc40baea591a201546abdccbb81e7dd9ada8620ea74d7371f9c47a8ef310f57934de95b5c295939fa9c095492e02606ca9828bf921d SHA512 fba1b5b39b9c8556ffa75e1a9d2427623bb8ee6f412b78c293c77b248b81d73f624beca9c155279147951510daed7cf5a5120e714efbcce4d62251f74f0924a4
+DIST sphinx-autodoc-typehints-1.19.4.gh.tar.gz 27724 BLAKE2B 5d22561515286a3530a86dad5cf80f0f66068ee50e10a60513dc66bb17be9a8aabb10fe9a35dd6cbeddc6eb78c2403e8f880cbed01e048c5bb3ce48716ff6bdc SHA512 d36a8b3f32dfb6204a248b91f20882b97efa9aa746cd9eeb445945de165511ddce4f9d3cc63799a5f9acc5b2fa6a4352eb7205e679b8937138a12cc462c94056
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.4.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.4.ebuild
new file mode 100644
index 000000000000..dbb4f1164c61
--- /dev/null
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Type hints support for the Sphinx autodoc extension"
+HOMEPAGE="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/
+ https://pypi.org/project/sphinx-autodoc-typehints/
+"
+SRC_URI="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/sphinx-5.2.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/nptyping-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/sphobjinv-2.2.2[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # this package is addicted to Internet
+ tests/test_sphinx_autodoc_typehints.py::test_format_annotation
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index bef706363aa8..ddd21aa5b93f 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -2,3 +2,4 @@ DIST Sphinx-4.5.0.tar.gz 6698212 BLAKE2B e6c46d35492c3d3068c4f97e497d33973ca86b4
DIST sphinx-5.1.1.gh.tar.gz 6766329 BLAKE2B ff385abe35d4a700cbb3cd8acc72313f7c923d48b38934cc35ea6128ef6c16eb6a33604daea25f81f60b65951b4623f62cd4c1a482b2c5e7285ce0ddb6226c80 SHA512 23261cabbcc73072134c22e7fb36f4c7911f4284cea9cc7be6006e500d9de65727f43214fb4427d307845cc684b9a569960ed276320855283a33b9542a2a6918
DIST sphinx-5.2.0.gh.tar.gz 6777631 BLAKE2B 53514f0561a53e656f15f434f79a2e2a6c0b41989bbc98f8c7e3e0548ab180339d2908827a933124576dacbed76db7e519ee1e626597a3f50900a90cb8b1c23b SHA512 480c288cd9bf3c1bc61aa97fc4549dd6f0c3d23c2fb5cc5f15a20780984c518f50638a42a87b9c2c0b4eb24ef57e6cfbd812a82a9227ae439028a0fdd5f165a7
DIST sphinx-5.2.1.gh.tar.gz 6777833 BLAKE2B 128c8bbeb1609eef353da88a6d7dc561839b9e60abc46325b96e668a2babc39695f65d7e9539ab8faaae7ba27f558e6ec300579f94f1a62da9ef0d9804eda893 SHA512 bb51a91f7eb9643cf30be732cd0d9d45a90a1358d8379d89ac3ec0a46dcb0724a57ec4d5062375b6a98bfbb5d688d709ca9a1ed65d7825f4402cacf01cc9e034
+DIST sphinx-5.2.2.gh.tar.gz 6777525 BLAKE2B a6b5ff51072407be6e9bc7ae4d287826b8ce391c1ed712595d99c35af6279ea5404e28c48f8694620f246001824bb7cf2b0ac18d90f859874740d54a12ff9c33 SHA512 290ccea3ddf8dd73679976064fde6130213085c352972da0db4aba1a8f2fcb2e69ed52f2bb2469661bdfd90a1bf75255075e133e08cfcc301f28116415bad080
diff --git a/dev-python/sphinx/sphinx-5.2.2.ebuild b/dev-python/sphinx/sphinx-5.2.2.ebuild
new file mode 100644
index 000000000000..2a45a85990b6
--- /dev/null
+++ b/dev-python/sphinx/sphinx-5.2.2.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx/
+ https://pypi.org/project/Sphinx/
+"
+SRC_URI="
+ https://github.com/sphinx-doc/sphinx/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-2.9[${PYTHON_USEDEP}]
+ <dev-python/docutils-0.20[${PYTHON_USEDEP}]
+ >=dev-python/imagesize-1.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.12[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-2.0[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinxcontrib-serializinghtml-1.1.5[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.8[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+ !dev-python/namespace-sphinxcontrib
+"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ app-text/dvipng
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ virtual/imagemagick-tools[jpeg,png,svg]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+ "${FILESDIR}/sphinx-4.3.2-doc-link.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ fi
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local EPYTEST_DESELECT=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ tests/test_build_linkcheck.py::test_defaults
+ tests/test_build_linkcheck.py::test_defaults_json
+ tests/test_build_linkcheck.py::test_anchors_ignored
+ # TODO
+ tests/test_ext_autodoc_autoclass.py::test_classes
+ tests/test_ext_autodoc_autofunction.py::test_classes
+ tests/test_ext_inheritance_diagram.py::test_import_classes
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_decendants_of_generic_type
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_automodule.py::test_automodule_inherited_members
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_util_inspect.py::test_isattributedescriptor
+ tests/test_util_typing.py::test_stringify_type_hints_pep_585
+ )
+
+ epytest
+}
diff --git a/dev-python/stack_data/Manifest b/dev-python/stack_data/Manifest
index a117530c32f6..eff3dbc01fb7 100644
--- a/dev-python/stack_data/Manifest
+++ b/dev-python/stack_data/Manifest
@@ -1,3 +1,2 @@
-DIST stack_data-0.4.0.tar.gz 41638 BLAKE2B 1395ce2ba5ce12af2ab4e9c3d4b42c2b5c14fe09013469fb8c659899b0d9a78ce9d12b4a37223d651d4e8bafeb5c1d97437690084dc4592cf8c04fb7236f5b0d SHA512 63514aad17f8e01566606a6a080506c7b363f90538a4c5ae1427b1aa54358c4b95a2752869288b6e6d44641870effbfe466e8830864cbf6e4b6e70e8e28699de
DIST stack_data-0.5.0.tar.gz 43332 BLAKE2B b9583717633902b4618981ceeb53eca7b817b7985fd5401cc79fe35b194e77fdb57e1c5c51adde0b4e604f6df5424d27056b2528c356a808a4b4c9e1dee1c56a SHA512 82573d9b115daf23a04921027878d55cf9de897a01cb0089b082ec0e7a7b42461afe47dddf4d16adfe186259280b57d651857884ceaf9673d8c983c48f479684
DIST stack_data-0.5.1.tar.gz 43435 BLAKE2B eeebca4d2d8e3c8795e05d4a058c4a7421a2669e28b476400d541c79d5d7ebb66dde16cd39e2586eafa2f653341c041351c2684440d879ed71b2adf83ea1b4d9 SHA512 b33e3bfd31d285fcdb8f6db8f3e59b6e99fcbc0b912c7be01e52b164554a5914bc8f1a7fb7e665a18fa2d164b248afeb3c6a287f8e27ab7fa44f69b75d93d375
diff --git a/dev-python/stack_data/metadata.xml b/dev-python/stack_data/metadata.xml
index 853174b8f2ab..ea8988e8af6a 100644
--- a/dev-python/stack_data/metadata.xml
+++ b/dev-python/stack_data/metadata.xml
@@ -7,4 +7,5 @@
</maintainer>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/stack_data/stack_data-0.4.0.ebuild b/dev-python/stack_data/stack_data-0.4.0.ebuild
deleted file mode 100644
index 8ee1ffe548af..000000000000
--- a/dev-python/stack_data/stack_data-0.4.0.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Extract data from Python tracebacks for informative displays"
-HOMEPAGE="https://github.com/alexmojaki/stack_data"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
-
-RDEPEND="
- dev-python/asttokens[${PYTHON_USEDEP}]
- dev-python/executing[${PYTHON_USEDEP}]
- dev-python/pure_eval[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/cython[${PYTHON_USEDEP}]
- dev-python/typeguard[${PYTHON_USEDEP}]
- dev-python/littleutils[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/stack_data/stack_data-0.5.0.ebuild b/dev-python/stack_data/stack_data-0.5.0.ebuild
index 4d3caf5b6c85..8ee1ffe548af 100644
--- a/dev-python/stack_data/stack_data-0.5.0.ebuild
+++ b/dev-python/stack_data/stack_data-0.5.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 arm ~arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc ~x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/asttokens[${PYTHON_USEDEP}]
diff --git a/dev-python/unpaddedbase64/metadata.xml b/dev-python/unpaddedbase64/metadata.xml
index 158b7d7d34aa..e7cad6bfe2b1 100644
--- a/dev-python/unpaddedbase64/metadata.xml
+++ b/dev-python/unpaddedbase64/metadata.xml
@@ -11,4 +11,5 @@
</maintainer>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/yamlpath/Manifest b/dev-python/yamlpath/Manifest
index 7698c79652a6..25aa199e16b7 100644
--- a/dev-python/yamlpath/Manifest
+++ b/dev-python/yamlpath/Manifest
@@ -1,3 +1,4 @@
DIST yamlpath-3.6.4.gh.tar.gz 216016 BLAKE2B fc6537b7c80ecfb9f69c646970e43935374bb105df007c123cf837eb1de6827ac2cc443294b69500c966ea6bc5d7f56498aec13340238c7660118f17cc6685e5 SHA512 eb1ac0d5861818f4f4b57b07f9fa7f758846982abbb3ac4ec58a1adaca8ec36deba1e21ce3e13916e74a946512f4d66e341a9d45392ef7133d0293e5fd6f66c9
DIST yamlpath-3.6.5.gh.tar.gz 216508 BLAKE2B df1d849840356eb75d9e19a5b53ec94ce140d7474be2fde19ab7f438229d347f247ee3c0f25cef4948f71d95d6935aebc0f8e58bc869083849820f9d641d7f22 SHA512 1d80514516eb573b0c644af7eaab7211714e271cc4334db5d965e2da58f06d26b3cdcb8c1412d03151a196e1b48aeb0c0d5038364a09907bb2af1efa71dd71f3
DIST yamlpath-3.6.6.gh.tar.gz 222605 BLAKE2B b8e4345e68bb03b9aa48f31813ead149a1e547bab36deacfc255b6d8bb62148ed11bed6495e3e8db14b48859717ee87386e6d740c8b33dbf16bf4923bc19bbcf SHA512 3699cd2af82c77b29de60d0912dd5fc858a7b10ac960a8944dd0566073a7bdf5bccc6378d5aa6e52498482e51aa00cb2cae53f2a089308617d1358d744b5efcc
+DIST yamlpath-3.6.7.gh.tar.gz 219770 BLAKE2B 779b94f6aff7e6430c89508145d85d2b7b5ddb4bc1070fd68d402e27b7bf596c7e68f1bfb8683791ea2572ef6d01fe5f2de4fd646be32b8ab266747371f61f36 SHA512 7313d3eaa9268d4c2acb1bc87052068498840943be503fa160833c03f372e5c6d7604572d277b70c551784fd8c9507e084f12dd651b5c4f600f69e8ee7cefb62
diff --git a/dev-python/yamlpath/yamlpath-3.6.7.ebuild b/dev-python/yamlpath/yamlpath-3.6.7.ebuild
new file mode 100644
index 000000000000..e3b4a8bee41e
--- /dev/null
+++ b/dev-python/yamlpath/yamlpath-3.6.7.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Command-line processors for YAML/JSON/Compatible data"
+HOMEPAGE="https://github.com/wwkimball/yamlpath https://github.com/wwkimball/yamlpath/wiki"
+SRC_URI="
+ https://github.com/wwkimball/yamlpath/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-ruby/hiera-eyaml
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare_all() {
+ sed -e '/ruamel\.yaml/d' \
+ -e '/pytest-cov/d' \
+ -e "/find_packages/s/()/(exclude=\['tests'\])/" \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # install and optimize yamlpath/patches/aliasstyle.py
+ local sitedir=$(python_get_sitedir)
+ [[ -d ${D}${sitedir} ]] || die "${D}${sitedir}: No such directory"
+ insinto "${sitedir}/yamlpath"
+ doins -r "${S}/yamlpath/patches"
+ python_optimize "${D}${sitedir}"
+}